<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: CorpseData Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d4/dd3/class_corpse_data.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">CorpseData Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a403064a247bbb22344eeb2c265efa3af"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dd3/class_corpse_data.html#a403064a247bbb22344eeb2c265efa3af">CorpseData</a> (notnull <a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> time_of_death)</td></tr>
<tr class="separator:a403064a247bbb22344eeb2c265efa3af"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa825ba536ce7a3eb8c8db6692325e540"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dd3/class_corpse_data.html#aa825ba536ce7a3eb8c8db6692325e540">UpdateCorpseState</a> (<a class="el" href="../../d9/db9/classbool.html">bool</a> force_check=false)</td></tr>
<tr class="separator:aa825ba536ce7a3eb8c8db6692325e540"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a74d292e8009313200e163102feb0d854"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dd3/class_corpse_data.html#a74d292e8009313200e163102feb0d854">GET_LIFETIME_TRIES_MAX</a> = 3</td></tr>
<tr class="separator:a74d292e8009313200e163102feb0d854"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ab0dbb6b50c3451ad0f896230690da3"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dd3/class_corpse_data.html#a9ab0dbb6b50c3451ad0f896230690da3">m_bUpdate</a></td></tr>
<tr class="separator:a9ab0dbb6b50c3451ad0f896230690da3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8342f6c5854a42f1ad8e71af54210d36"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dd3/class_corpse_data.html#a8342f6c5854a42f1ad8e71af54210d36">m_iLastUpdateTime</a></td></tr>
<tr class="separator:a8342f6c5854a42f1ad8e71af54210d36"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ed6c4607333c6bf53b8caebaa309c91"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dd3/class_corpse_data.html#a5ed6c4607333c6bf53b8caebaa309c91">m_iTimeOfDeath</a></td></tr>
<tr class="separator:a5ed6c4607333c6bf53b8caebaa309c91"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0111eb7e80a17ffa168f763d6768e27b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dd3/class_corpse_data.html#a0111eb7e80a17ffa168f763d6768e27b">m_iMaxLifetime</a></td></tr>
<tr class="separator:a0111eb7e80a17ffa168f763d6768e27b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ada5959c60609132f05beb1175e04c30c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dd3/class_corpse_data.html#ada5959c60609132f05beb1175e04c30c">m_iCorpseState</a></td></tr>
<tr class="separator:ada5959c60609132f05beb1175e04c30c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0081800fc1a33f91e79d8e99b1d84766"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dd3/class_corpse_data.html#a0081800fc1a33f91e79d8e99b1d84766">m_iTriesToGetLifetime</a></td></tr>
<tr class="separator:a0081800fc1a33f91e79d8e99b1d84766"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6d6135ae56b3c1f3d1a647b90f1a5c53"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dd3/class_corpse_data.html#a6d6135ae56b3c1f3d1a647b90f1a5c53">m_Player</a></td></tr>
<tr class="separator:a6d6135ae56b3c1f3d1a647b90f1a5c53"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../de/d25/_corpse_data_8c_source.html#l00001">1</a> of file <a class="el" href="../../de/d25/_corpse_data_8c_source.html">CorpseData.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a403064a247bbb22344eeb2c265efa3af" name="a403064a247bbb22344eeb2c265efa3af"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a403064a247bbb22344eeb2c265efa3af">&#9670;&#160;</a></span>CorpseData()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void CorpseData::CorpseData </td>
          <td>(</td>
          <td class="paramtype">notnull <a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>time_of_death</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d25/_corpse_data_8c_source.html#l00013">13</a> of file <a class="el" href="../../de/d25/_corpse_data_8c_source.html">CorpseData.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="aa825ba536ce7a3eb8c8db6692325e540" name="aa825ba536ce7a3eb8c8db6692325e540"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa825ba536ce7a3eb8c8db6692325e540">&#9670;&#160;</a></span>UpdateCorpseState()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void CorpseData::UpdateCorpseState </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>force_check</em> = <code>false</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d25/_corpse_data_8c_source.html#l00029">29</a> of file <a class="el" href="../../de/d25/_corpse_data_8c_source.html">CorpseData.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a74d292e8009313200e163102feb0d854" name="a74d292e8009313200e163102feb0d854"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a74d292e8009313200e163102feb0d854">&#9670;&#160;</a></span>GET_LIFETIME_TRIES_MAX</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> CorpseData::GET_LIFETIME_TRIES_MAX = 3</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d25/_corpse_data_8c_source.html#l00003">3</a> of file <a class="el" href="../../de/d25/_corpse_data_8c_source.html">CorpseData.c</a>.</p>

</div>
</div>
<a id="a9ab0dbb6b50c3451ad0f896230690da3" name="a9ab0dbb6b50c3451ad0f896230690da3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9ab0dbb6b50c3451ad0f896230690da3">&#9670;&#160;</a></span>m_bUpdate</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> CorpseData::m_bUpdate</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d25/_corpse_data_8c_source.html#l00005">5</a> of file <a class="el" href="../../de/d25/_corpse_data_8c_source.html">CorpseData.c</a>.</p>

</div>
</div>
<a id="ada5959c60609132f05beb1175e04c30c" name="ada5959c60609132f05beb1175e04c30c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ada5959c60609132f05beb1175e04c30c">&#9670;&#160;</a></span>m_iCorpseState</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> CorpseData::m_iCorpseState</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d25/_corpse_data_8c_source.html#l00009">9</a> of file <a class="el" href="../../de/d25/_corpse_data_8c_source.html">CorpseData.c</a>.</p>

</div>
</div>
<a id="a8342f6c5854a42f1ad8e71af54210d36" name="a8342f6c5854a42f1ad8e71af54210d36"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8342f6c5854a42f1ad8e71af54210d36">&#9670;&#160;</a></span>m_iLastUpdateTime</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> CorpseData::m_iLastUpdateTime</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d25/_corpse_data_8c_source.html#l00006">6</a> of file <a class="el" href="../../de/d25/_corpse_data_8c_source.html">CorpseData.c</a>.</p>

</div>
</div>
<a id="a0111eb7e80a17ffa168f763d6768e27b" name="a0111eb7e80a17ffa168f763d6768e27b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0111eb7e80a17ffa168f763d6768e27b">&#9670;&#160;</a></span>m_iMaxLifetime</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> CorpseData::m_iMaxLifetime</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d25/_corpse_data_8c_source.html#l00008">8</a> of file <a class="el" href="../../de/d25/_corpse_data_8c_source.html">CorpseData.c</a>.</p>

</div>
</div>
<a id="a5ed6c4607333c6bf53b8caebaa309c91" name="a5ed6c4607333c6bf53b8caebaa309c91"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5ed6c4607333c6bf53b8caebaa309c91">&#9670;&#160;</a></span>m_iTimeOfDeath</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> CorpseData::m_iTimeOfDeath</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d25/_corpse_data_8c_source.html#l00007">7</a> of file <a class="el" href="../../de/d25/_corpse_data_8c_source.html">CorpseData.c</a>.</p>

</div>
</div>
<a id="a0081800fc1a33f91e79d8e99b1d84766" name="a0081800fc1a33f91e79d8e99b1d84766"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0081800fc1a33f91e79d8e99b1d84766">&#9670;&#160;</a></span>m_iTriesToGetLifetime</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> CorpseData::m_iTriesToGetLifetime</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d25/_corpse_data_8c_source.html#l00010">10</a> of file <a class="el" href="../../de/d25/_corpse_data_8c_source.html">CorpseData.c</a>.</p>

</div>
</div>
<a id="a6d6135ae56b3c1f3d1a647b90f1a5c53" name="a6d6135ae56b3c1f3d1a647b90f1a5c53"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6d6135ae56b3c1f3d1a647b90f1a5c53">&#9670;&#160;</a></span>m_Player</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> CorpseData::m_Player</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d25/_corpse_data_8c_source.html#l00011">11</a> of file <a class="el" href="../../de/d25/_corpse_data_8c_source.html">CorpseData.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/<a class="el" href="../../de/d25/_corpse_data_8c_source.html">CorpseData.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d4/dd3/class_corpse_data.html">CorpseData</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
